import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appEntitlementOwnersV2.deleteEntitlementOwner({
appId: "<id>",
entitlementId: "<id>",
roleSlug: "<value>",
appEntitlementRefAppId: "<id>",
appEntitlementRefId: "<id>",
});
console.log(result);
}
run();curl --request DELETE \
--url https://{tenantDomain}.conductor.one/api/v2/apps/{app_id}/entitlements/{entitlement_id}/owners/entitlements/{role_slug}/{app_entitlement_ref_app_id}/{app_entitlement_ref_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appEntitlementRef": {
"appId": "<string>",
"id": "<string>"
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v2/apps/{app_id}/entitlements/{entitlement_id}/owners/entitlements/{role_slug}/{app_entitlement_ref_app_id}/{app_entitlement_ref_id}"
payload = { "appEntitlementRef": {
"appId": "<string>",
"id": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({appEntitlementRef: {appId: '<string>', id: '<string>'}})
};
fetch('https://{tenantDomain}.conductor.one/api/v2/apps/{app_id}/entitlements/{entitlement_id}/owners/entitlements/{role_slug}/{app_entitlement_ref_app_id}/{app_entitlement_ref_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Delete Entitlement Owner
DeleteEntitlementOwner deletes an entitlement ownership source for an app entitlement.
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appEntitlementOwnersV2.deleteEntitlementOwner({
appId: "<id>",
entitlementId: "<id>",
roleSlug: "<value>",
appEntitlementRefAppId: "<id>",
appEntitlementRefId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The appId field.
The entitlementId field.
The roleSlug field.
The appId field.
The id field.
Body
DeleteAppEntitlementEntitlementOwnerRequest is the request for deleting an entitlement ownership source on an entitlement.
The AppEntitlementRef message.
Show child attributes
Show child attributes
Response
DeleteAppEntitlementEntitlementOwnerResponse is the empty response for deleting an entitlement ownership source on an entitlement.
DeleteAppEntitlementEntitlementOwnerResponse is the empty response for deleting an entitlement ownership source on an entitlement.
Was this page helpful?